---
updatedAt: 2025-10-16T17:59:28.000Z
agentTools:
  projectIndex: https://developers.bitlaunch.io/llms.txt
---

# Create Transaction

## Response

This will return a [Transaction Object](https://developers.bitlaunch.io/reference/transaction-object).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "bitlaunch-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://app.bitlaunch.io/api/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/transactions": {
      "post": {
        "summary": "Create Transaction",
        "description": "",
        "operationId": "create-transaction",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "amountUsd"
                ],
                "properties": {
                  "amountUsd": {
                    "type": "number",
                    "description": "The amount of USD to add to your account balance.",
                    "format": "float"
                  },
                  "cryptoSymbol": {
                    "type": "string",
                    "description": "The cryptocurrency to use when sending payment. Valid values are: BTC, LTC, ETH"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": \"aaaaaaaaaaabbbbbbbbbbbbb\",\n  \"userid\": \"cccccccccccddddddddddddd\",\n  \"created\":\"2020-01-01T12:00:00.000Z\",\n  \"address\": \"2N8PXuPYFUNf987Tj22GFj4Yyk6zNTMAaSs\",\n  \"cryptoSymbol\": \"BTC\",\n  \"amountUsd\": 20,\n  \"amountCrypto\": \"0.00274643\",\n  \"status\": \"Pending\",\n  \"statusUrl\": \"https://pay.bitlaunch.io/invoice/<invoice_id>\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "aaaaaaaaaaabbbbbbbbbbbbb"
                    },
                    "userid": {
                      "type": "string",
                      "example": "cccccccccccddddddddddddd"
                    },
                    "created": {
                      "type": "string",
                      "example": "2020-01-01T12:00:00.000Z"
                    },
                    "address": {
                      "type": "string",
                      "example": "2N8PXuPYFUNf987Tj22GFj4Yyk6zNTMAaSs"
                    },
                    "cryptoSymbol": {
                      "type": "string",
                      "example": "BTC"
                    },
                    "amountUsd": {
                      "type": "integer",
                      "example": 20,
                      "default": 0
                    },
                    "amountCrypto": {
                      "type": "string",
                      "example": "0.00274643"
                    },
                    "status": {
                      "type": "string",
                      "example": "Pending"
                    },
                    "statusUrl": {
                      "type": "string",
                      "example": "https://pay.bitlaunch.io/invoice/<invoice_id>"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://app.bitlaunch.io/api/transactions' -H 'Authorization: Bearer API_KEY' --data '{\n        \"amountUsd\": 20,\n        \"cryptoSymbol\": \"BTC\"\n    }'"
            },
            {
              "language": "text",
              "code": "blcli transaction create 20 BTC",
              "name": "CLI"
            },
            {
              "language": "go",
              "code": "c := gobitlaunch.NewClient(token)\n\nopts := &gobitlaunch.CreateTransactionOptions{\n    AmountUSD: 20,\n    CryptoSymbol: \"BTC\",\n}\n\ntransaction, err := c.Transaction.Create(opts)\nif err != nil {\n    // handle error\n}\n\n// use transaction"
            },
            {
              "language": "python",
              "code": "c = pybitlaunch.Client(token)\n\nopts = pybitlaunch.Transaction(\n    amountUSD = 20,\n    cryptoSymbol = \"BTC\"\n)\n\ntransaction, err = c.Transactions.Create(opts)\nif err is not None:\n    # handle error\nelse:\n    # use transaction"
            }
          ],
          "samples-languages": [
            "curl",
            "text",
            "go",
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```